Send transaction

This call allows you to create and send cryptocurrency to a destination address.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

A cryptocurrency or token ticker symbol.

string
required

The wallet ID.

Body Params
string
length ≤ 500

Destination address

Amount in base units (e.g. satoshi, wei, drops, stroops). For doge, only string is allowed.

string

Passphrase to decrypt the user key on the wallet

string

Optional, private key in string form, if walletPassphrase is not available or encrypted private key is not stored by BitGo.

string

Required for transactions from MPC wallets. "acceleration" speeds up transactions with a certain nonce by adjusting the gas setting. "accountSet" is for XRP AccountSet transactions. "consolidate" combines multiple UTXO inputs into fewer outputs. "enabletoken" is for SOL. "fanout" splits UTXO inputs into many smaller outputs (UTXO coins only). "stakingLock" and "stakingUnlock" are for Stacks delegations. "transfer" is for native-asset transfers. "trustline" is for Stellar trustline transactions. Possible types include: [acceleration, accountSet, consolidate, enabletoken, fanout, stakingLock, stakingUnlock, transfer, transfertoken, trustline]

For AVAX, possible types include: addValidator, export, and import.

For XRP, possible types include: payment and accountSet. The default is payment.

For STX, type is required.

messages
array of objects

[UTXO only] An array of messages that you sign with the wallet keys using the BIP322 format. If passed, the recipients array must be empty.

messages
integer
2 to 1000

(BTC only) The number of blocks required to confirm a transaction. You can use numBlocks to estimate the fee rate by targeting confirmation within a given number of blocks. If both feeRate and numBlocks are absent, the transaction defaults to 2 blocks for confirmation.

Note: The maxFeeRate limits the fee rate generated by numBlocks.

Custom fee rate (in base units) per kilobyte (or virtual kilobyte). For example, satoshis per kvByte.

If the feeRate is less than the minimum required network fee, then the minimum fee applies. For example, 1000 sat/kvByte, a flat 1000 microAlgos, or a flat 10 drops of xrp. For XRP, the actual fee is usually 4.5 times the open ledger fee.

Note: The feeRate overrides the maxFeeRate and minFeeRate.

(BTC only) The maximum fee rate (in base units) per kilobyte (or virtual kilobyte). For example, satoshis per kvByte. The maxFeeRate limits the fee rate generated by both feeMultiplier and numBlocks.

Note: The feeRate overrides the maxFeeRate.

(UTXO only) Custom multiplier to the feeRate. The resulting fee rate is limited by the maxFeeRate. For replace-by-fee (RBF) transactions (that include rbfTxIds), the feeMultiplier must be greater than 1, since it's an absolute fee multiplier to the transaction being replaced.

Note: The maxFeeRate limits the fee rate generated by feeMultiplier.

integer

The unspent selection for the transaction will only consider unspents with at least this many confirmations to be used as inputs. Does not apply to change outputs unless used in combination with enforceMinConfirmsForChange.

boolean
Defaults to false

When set to true, will enforce minConfirms for change outputs. Defaults to false.

Custom gas price to be used for sending the transaction. Only for ETH and ERC20 tokens.

eip1559
object

Custom gas limit to be used for sending the transaction. Only for ETH and ERC20 tokens.

integer
Defaults to 1000

Specifies the minimum count of good-sized unspents to maintain in the wallet. Change splitting ceases when the wallet has targetWalletUnspents good-sized unspents.

Note: Wallets that continuously send a high count of transactions will automatically split large change amounts into multiple good-sized change outputs while they have fewer than targetWalletUnspents good-sized unspents in their unspent pool. Breaking up large unspents helps to reduce the amount of unconfirmed funds in flight in future transactions, and helps to avoid long chains of unconfirmed transactions. This is especially useful for newly funded wallets or recently refilled send-only wallets.

Ignore unspents smaller than this amount of base units (e.g. satoshis). For doge, only string is allowed.

Ignore unspents larger than this amount of base units (e.g. satoshis). For doge, only string is allowed.

string

A sequenceId is a unique and arbitrary wallet identifier applied to transfers and transactions at creation. It is optional but highly recommended. With a sequenceId you can easily reference transfers and transactions—for example, to safely retry sending. Because the system only confirms one send request per sequenceId (and fails all subsequent attempts), you can retry sending without the risk of double spending. The sequenceId is only visible to users on the wallet and is not shared publicly.

string

(DOT only) A nonce ID is a number used to protect private communications by preventing replay attacks. This is an advanced option where users can manually input a new nonce value in order to correct or fill in a missing nonce ID value.

boolean
Defaults to false

Set true to disable automatic change splitting.

Also see: targetWalletUnspents

unspents
array of strings

Used to explicitly specify the unspents to be used in the input set in the transaction. Each unspent should be in the form prevTxId:nOutput.

unspents
string
length ≤ 500

Specifies a custom destination address for the transaction's change output(s)

string
enum
Defaults to legacy

[UTXO only] Format of the returned transaction hex serialization. legacy for serialized transaction in custom bitcoinjs-lib format. psbt for BIP174 serialized transaction

Allowed:
boolean

(DASH only) Specifies whether or not to use Dash's "InstantSend" feature when sending a transaction.

memo
object

Extra transaction information for CSPR, EOS, HBAR, RUNE, STX, TON, XLM, and XRP. Required for XLM transactions.

Note: For XRP this is the destination tag (DT). For CSPR this is the transfer ID.

string
length ≤ 256

Optional metadata (only persisted in BitGo) to be applied to the transaction. Use this to add transaction-specific information such as the transaction's purpose or another identifier that you want to reference later. The value is shown in the UI in the transfer listing page.

string

(AVAXC and AVAXP only) Destination chain for an AVAX import/export transaction. One of [P, C].

string

(AVAXC and AVAXP only) Source chain for an AVAX import/export transaction. One of [P, C].

string
deprecated

DEPRECATED - use changeAddressType. The type of address to create for change. One of p2sh, p2shP2wsh, p2wsh, or p2tr.

enum

The address type for the change address. One of p2sh, p2shP2wsh, p2wsh, p2tr or p2trMusig2.

string

Unix timestamp in seconds.nanoseconds format, denoting the start of the validity window. Only for HBAR transactions.

string

(ALGO/TEZOS only) Consolidation ID of this consolidation transaction.

integer

(XRP only) Absolute max ledger the transaction should be accepted in, whereafter it will be rejected

integer

(XRP only) Relative ledger height (in relation to the current ledger) that the transaction should be accepted in, whereafter it will be rejected

rbfTxIds
array of strings

The list of transactions to accelerate using Replace-By-Fee (RBF) for UTXO coins (currently accelerating only one tx is supported).

rbfTxIds
boolean

It is used to mark an UTXO transaction eligible for Replace-By-Fee (RBF) later.

integer

Optional block this transaction is valid from

integer

Optional block this transaction is valid until

trustlines
array of objects

List of trustlines to manage on the account. Available for Stellar.

trustlines
stakingOptions

Required object for staking. Only for CSPR and STX.

string

Optional parameter that takes a hexadecimal value to set messagekey for an XRP accountSet transaction. Recipients field should be empty when messageKey is set.

reservation
object

Optional parameter for UTXO coins to automatically reserve the unspents that are used in the build. Useful for Cold wallets. If using, must set expireTime.

string

(ETH only) Optional data to pass to the transaction

boolean

(ETH, AVAXC and POLYGON) Set to true if funds to destination need to come from single sig address

string

Token name, defined in the BitGoJS Statics package.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Choose an example:
application/json